AOZ Studio Beta - Bug #1060

Every interrupt procedure causes syntax error (Amiga mode).
01/11/2023 08:20 AM - malcolm harvey

Status: Resolved Start date: 01/11/2023
Priority: Normal Due date:
Target version: none

Affected version: 1.0 (u38)

Description

| have found in RelV1.0 U38 (looking at amiga stuff now) is that there is an issue with initiating every interrupt now.

It seams from what | can see, every off or every on is working, but the main part to start and every int procedure eg:

every proc comes up saying, syntax error now (Amiga mode), and again, oddly does not effect every off or every on so its partly
working. Something broken here.

Apart from this, Set Interval was not effected, only the every inst if u like.

History

#1 - 01/11/2023 01:15 PM - malcolm harvey

Hmm a little update on that it is missing some text here...the issue is with setting the initial every pro...
eg: inst/func-> Every delay proc procname comes up syntax error now.

#2 - 01/16/2023 01:01 PM - malcolm harvey
- Affected version changed from 1.0.0 (B17) to 1.0 (u38)

#3 - 01/18/2023 01:35 PM - Francois Lionet

- Status changed from New to In Progress

Just tried, this worked in Amiga mode...

COUNT = 0 : Global COUNT
Every 50 Proc Interrupt
Wait Key

Procedure Interrupt

Print COUNT : Inc COUNT
Every On

End Proc

Can you give me example code?

#4 - 01/19/2023 01:37 AM - malcolm harvey

ok, ill txt again with my examine today and get back on this..

#5 - 01/19/2023 08:43 AM - malcolm harvey

| have tested this again now on my code, and for whatever reason no syntax error now.

QOdd, nothing has changed in the code.

Yes, working the same as francois example above all ok now for me here as well.

Note: There has been some instructions that have come up syntax errors as brian found in the U38 as well, but im not sure how they have come
about either as no real syntax error. Seemed to happen when the first rel 1.x went live.

#6 - 01/19/2023 08:49 AM - malcolm harvey

- Assignee changed from Francois Lionet to malcolm harvey

#7 - 01/19/2023 08:50 AM - malcolm harvey

- Assignee changed from malcolm harvey to Francois Lionet
#8 - 01/19/2023 09:39 AM - Francois Lionet

- Status changed from In Progress to Resolved
